<template>
  <div class="order-wrapper">
    <!-- <breadcrumb :item-name="['订单管理', '订单列表']"></breadcrumb> -->
    <el-card>
      <!-- 搜索区域 -->
      <el-row>
        <el-col :span="8">
          <el-input
            placeholder="请输入内容"
            v-model="queryInfo.query"
            class="input-with-select"
          >
            <el-button
              slot="append"
              icon="el-icon-search"
              @click="getList()"
            ></el-button>
          </el-input>
        </el-col>
      </el-row>
      <!-- 订单表格区域 -->
      <el-table
          :data="list"
          border
          style="width: 100%">
          <el-table-column
            prop="date"
            label="日期"
            width="180">
          </el-table-column>
          <el-table-column
            prop="name"
            label="姓名"
            width="180">
          </el-table-column>
          <el-table-column
            prop="address"
            label="地址">
          </el-table-column>
        </el-table>
      <!-- 分页区域 -->
      <el-pagination
        @size-change="handleSizeChange"
        @current-change="handleCurrentChange"
        :current-page="queryInfo.page"
        :page-sizes="[10, 20, 50, 100]"
        :page-size="queryInfo.pagesize"
        layout="total, sizes, prev, pager, next, jumper"
        :total="total"
      >
      </el-pagination>
    </el-card>
    <!-- 修改地址对话框 -->
  </div>
</template>

<script>
export default {
  name: 'Order',
  data() {
    return {
      queryInfo: {
      keyword: '',
	  page: 1,
	  limit: 10
      },
      list: [],
      total: 0,
	  loading: false,
    }
  },
  created() {
   
  },
  methods: {
   getList() {
	   let that = this
	   if(that.loading) {
		   return
	   }
	   that.loading = true
	   
   },
  handleSizeChange(newPageSize) {
    this.queryInfo.limit = newPageSize
    this.getList()
  },
  handleCurrentChange(newPageNum) {
    this.queryInfo.page = newPageNum
    this.getList()
  },
  },
  
}
</script>

<style scoped>
</style>